# install_fish_functions.fish
function mkcdir
  mkdir -p -- $argv[1]
  cd -P -- $argv[1]
end
funcsave mkcdir

function newgit
  mkcdir $argv[1]
  git init
  git checkout -b main
  touch README.md
  git add .
  git commit -a -m "initial commit"
  git remote add origin https://git.boergmann.it/klaas/$argv[1].git
  git push -u origin main
end
funcsave newgit

function fframes
  mkdir $argv[1]
  ffmpeg -i "$argv[1].mp4" "$argv[1]/%03d.jpg"
end
funcsave fframes

function gitclone
  git clone https://git.boergmann.it/klaas/$argv[1].git
  cd $argv[1]
end
funcsave gitclone

alias doch='sudo (history --max=1 | string split " " | string join " ")'
funcsave doch

alias s001='ssh klaas@s001'
funcsave s001

alias s002='ssh klaas@s002.boergmann.it'
funcsave s002

alias s003='ssh harald@klaas-boergmann.de'
funcsave s003

